Subject: Re: [RFC v2] git-multimail: a replacement for post-receive-email

From: Michael Haggerty <[email-masked]>
Date: Sat, 09 Mar 2013 06:32:32 +0100

On 02/25/2013 11:50 AM, Michael Haggerty wrote:
> On 02/25/2013 10:54 AM, Matthieu Moy wrote:
>> [...] Works for me. One minor knit: you've included 10-characters sha1s (this
>> comes from
>>
>>         self.short = read_output(['git', 'rev-parse', '--short=10', sha1])
>>
>> ), I'd find it better with shorter sha1s. In the case of branch update,
>> if the branch name is a bit long, it could be nice to save a few
>> characters.
>>
>> Why not just say "git rev-parse --short", without argument? This way,
>> the default is used, ie. AFAICT it uses 7 characters by default, but
>> will use more if needed to keep the unicity.
> 
> [...] I guess I will change the code to use $(git rev-parse --short) (i.e.,
> shorter SHA1s) but reserving 10 columns in tables for them (which can be
> done via Python string formatting in the templates).  That should give
> the best of both worlds.

I implemented this change (allow git to choose the SHA1 abbreviation
length) and just pushed it to github.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/